## AgsAddNote

AgsAddNote — add note object to notation

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsAddNote * | ags_add_note_new ()

## Properties

AgsAudio * | audio | Read / Write
guint | audio-channel | Read / Write
AgsNote * | note | Read / Write
gboolean | use-selection-list | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsAddNote

## Includes

    #include <ags/audio/task/ags_add_note.h>

## Description

The AgsAddNote task adds AgsNote to AgsNotation.

## Functions

### ags_add_note_new ()

    AgsAddNote *
    ags_add_note_new (AgsAudio *audio,
                      AgsNote *note,
                      guint audio_channel,
                      gboolean use_selection_list);

Create a new instance of AgsAddNote.

#### Parameters

audio | the AgsAudio |
note | the AgsNote to add |
audio_channel | the audio channel |
use_selection_list | if `TRUE` added to selection, otherwise to notation |

#### Returns

the new AgsAddNote

Since: 3.0.0

## Property Details

### The `“audio”` property

      “audio”                    AgsAudio *

The assigned AgsAudio

Owner: AgsAddNote

Flags: Read / Write

Since: 3.0.0

### The `“audio-channel”` property

      “audio-channel”            guint

The assigned audio channel

Owner: AgsAddNote

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“note”` property

      “note”                     AgsNote *

The assigned AgsNote

Owner: AgsAddNote

Flags: Read / Write

Since: 3.0.0

### The `“use-selection-list”` property

      “use-selection-list”       gboolean

The notation's use-selection-list.

Owner: AgsAddNote

Flags: Read / Write

Default value: FALSE

Since: 3.0.0